Mahara リリース情報

※ サポート終了:Mahara 17.04 以前

  1. Mahara 19.04 シリーズ  
    ※ Requires: PHP 7.0 or later, MySQL 5.6 or later (or MariaDB 10.0 or later, or Postgres 9.4 or later)
    ※ 注意: Maharaのこのバージョンは Postgres 10+, MySQL 8.0+, MariaDB 10.3+ ではテストしていません。
    1. Mahara 18.10 シリーズ  
      ※ Requires: PHP 7.0 or later, MySQL 5.6 or later (or MariaDB 10.0 or later, or Postgres 9.4 or later)
      ※ 注意: Maharaのこのバージョンは Postgres 10+, MySQL 8.0+, MariaDB 10.3+ ではテストしていません。
      ※ PHP 7.2+ ではテストしていません。

      ※ Blocktype プラグインの lib.php の次の関数の引数の仕様変更(第3引数の追加)
      public static function render_instance(BlockInstance $instance, $editing=false, $versioning=false)

      ※ ナビゲーションメニューの配置が変更されました。
        メニューにアイコン(ソースでは 'iconclass')が追加されました。

    2. Mahara 18.04 シリーズ  

      スマートエビデンスフレームワークごとに表示する評価ステータスを決定することができます。

      ※ Requires: PHP 5.5.9 or later, MySQL 5.6 or later (or MariaDB 10.0 or later, or Postgres 9.4 or later)
      ※ 注意: Maharaのこのバージョンは Postgres 10+, MySQL 8.0+, MariaDB 10.3+ ではテストしていません。
      ※ Mahara 17.10.x 以降,PHPの推奨バージョンは 5.5.x 以降(PHP 7.1をサポート)
       PHP 7.2+ ではテストしていません。

      ※ Javascript ライブラリ Chart.js (version 1.1.0) (Mahara 16.04 導入時のまま)

    3. Mahara 17.10 シリーズ  
      ※ Requires: PHP 5.5.9 or later, MySQL 5.1 or later (or MariaDB equivalent, or Postgres 9.1 or later)
      ※ Mahara 17.10.x 以降,PHPの推奨バージョンは 5.5.x 以降(PHP 7.1をサポート)
      jquery version 2.2.0, jquery-ui version 1.11.4, jquery-mobile version 1.4.5
    4. Mahara 17.04 シリーズ  

      ※ Mahara 17.04 シリーズ以降, Javascript ライブラリ MochiKit が廃止されました。
      Developer Area/MochiKit in Mahara

      ※ Mahara 17.04 シリーズ以降,SAML 認証で Memcache サーバを使用するようになりました。


    5. Mahara 16.10 シリーズ  

      ※ Mahara 16.10 シリーズ以降, 「SmartEvidence: Align portfolios to competency frameworks」がサポートされました。

    6. Mahara 16.04 シリーズ  

      ※ Mahara 16.04 シリーズ以降,次のものがコアになりました。
      ・プラグイン blocktype:openbadgedisplayer

      ※ Javascript ライブラリ Chart.js アップグレード(version 1.1.0)
      jquery version 2.2.0, jquery-ui version 1.11.4, jquery-mobile 未サポート
    7. Mahara 15.10 シリーズ  

      ※ Mahara 15.10 シリーズ以降,テーマが Bootstrap ベースとなりました。
      ※ theme 関係のディレクトリが変更されました。

      • theme/raw/static/ 直下のimages,styletheme/raw/ 直下へ移動されました。
      • theme/raw/直下のartefact,auth,blocktype,export,interaction,searchtheme/raw/plugintype/ 直下へ移動されました。
      Customising/Themes/15.10

    8. Mahara 15.04 シリーズ (security updates only)  
      jquery version 2.1.1, jquery-ui version 1.11.4, jquery-mobile 未サポート
    9. Mahara 1.10 シリーズ (security updates only)  
      jquery version 2.1.1, jquery-ui version 1.10.2, jquery-mobile 未サポート